### Method

# Fwupd Device add_instance_id

since: 1.2.5

#### Declaration [src]

    void
    fwupd_device_add_instance_id (
      FwupdDevice* self,
      const gchar* instance_id
    )

#### Description [src]

Adds the instance ID if it does not already exist.

Available since: 1.2.5

#### Parameters

`instance_id`

  Type: `const gchar*`

  The instance ID, e.g. `PCI\VEN_10EC&DEV_525A`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.